# Robbie Visio SDK
## Installation
Install project dependencies:
```bash
npm install
pip install -r requirements.txt
```
## Development
### Compile Robbie Visio SDK
```bash
npm compile:development
```

### Run tests
This will run tests and also check if eslint rules were followed.
```bash
npm run test
```
Maybe you want to TDD the sh*t out of the project, so you can use the watcher.
```bash
npm run test:watch
```

## Production
### Compile library
```bash
npm compile:production
```

### Publish SDK to npm
This command will run tests, bundle the library and publish it in npm servers.
```bash
npm publish
```

To update the version, use npm semver command
```bash
npm version [major|minor|patch]
```
